Summary:	Playable implementation of the Settlers of Catan
Name:		pioneers
Version:	15.5
Release:	%mkrel 5
Group:		Games/Boards
License:	GPLv2+
Url:		http://pio.sourceforge.net/
Source0:	https://downloads.sourceforge.net/project/pio/Source/%{name}-%{version}.tar.gz
Patch0:         pioneers-15.5-gcc10.patch

BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(avahi-glib)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnotify)

%description
Pioneers is an Internet playable implementation of the Settlers of
Catan board game. The aim is to remain as faithful to the board game
as is possible.

%package	server-console
Summary:	Pioneers Console Server
Group:		Games/Boards
Requires:	pioneers-server-data = %{version}-%{release}

%description	server-console
Pioneers is an Internet playable implementation of the Settlers of
Catan board game. The aim is to remain as faithful to the board game
as is possible.
The meta server registers available game servers and offers them to new
players. It can also create new servers on client request.

%package	server-gtk
Summary:	Pioneers GTK Server
Group:		Games/Boards
Requires:	pioneers-server-data = %{version}-%{release}
Requires:	pioneers == %{version}

%description	server-gtk
Pioneers is an Internet playable implementation of the Settlers of
Catan board game. The aim is to remain as faithful to the board game
as is possible.

The server has a user interface in which you can customise the game
parameters. Customisation is fairly limited at the moment, but this
should change in later versions. Once you are happy with the game
parameters, press the Start Server button, and the server will start
listening for client connections.

%package	server-data
Summary:	Pioneers Data
Group:		Games/Boards

%description	server-data
Pioneers is an Internet playable implementation of the Settlers of
Catan board game. The aim is to remain as faithful to the board game
as is possible.

This package contains the data files for a game server, including a
computer player that can take part in Pioneers games.

%prep
%autosetup -p1

%build
%configure --bindir=%{_gamesbindir}
%make_build

%install
%make_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_gamesbindir}/%{name}
%{_gamesbindir}/%{name}-editor
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-editor.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}-editor.png
%{_datadir}/pixmaps/%{name}/
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/themes/
%{_mandir}/man6/%{name}.6*
%{_mandir}/man6/%{name}-editor.6*
%{_iconsdir}/hicolor/scalable/actions/pioneers-*.svg
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_iconsdir}/hicolor/*/apps/%{name}-editor.*
%{_datadir}/help/C/%{name}

%files server-console
%doc README
%{_gamesbindir}/%{name}-server-console
%{_gamesbindir}/%{name}-metaserver
%{_mandir}/man6/%{name}-server-console.6*
%{_mandir}/man6/%{name}-metaserver.6*

%files server-gtk
%doc README
%{_gamesbindir}/%{name}-server-gtk
%{_datadir}/applications/%{name}-server-gtk.desktop
%{_datadir}/pixmaps/%{name}-server.png
%{_mandir}/man6/%{name}-server-gtk.6*
%{_iconsdir}/hicolor/*/apps/%{name}-server.*

%files server-data
%doc README
%{_gamesbindir}/pioneersai
%{_mandir}/man6/pioneersai.6*
%dir %{_gamesdatadir}/%{name}
%{_gamesdatadir}/%{name}/computer_names
%{_gamesdatadir}/%{name}/*.game


%changelog
* Mon Jul 06 2020 joequant <joequant> 15.5-5.mga8
+ Revision: 1602597
- gcc10
- run gcc10 patch

* Fri Feb 14 2020 umeabot <umeabot> 15.5-4.mga8
+ Revision: 1521057
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 16 2018 wally <wally> 15.5-3.mga7
+ Revision: 1341594
- build with avahi support
- drop unneeded libgnome2 BR

* Sun Sep 23 2018 umeabot <umeabot> 15.5-2.mga7
+ Revision: 1300287
- Mageia 7 Mass Rebuild

* Thu Apr 05 2018 buchan <buchan> 15.5-1.mga7
+ Revision: 1215522
- New version 15.5

* Thu Sep 29 2016 akien <akien> 15.4-1.mga6
+ Revision: 1057570
- Drop some obsolete stuff:
  o Additional icons are not necessary, upstream ones in pixmaps and hicolor are sufficient
  o gnocatan has been obsolete for 11 years, remove corresponding Obsoletes and Provides
  o Do not reinstall already installed desktop files
  o There are no longer *.c files installed in the tree, do not delete them
- Version 15.4

* Tue Jan 12 2016 buchan <buchan> 15.3-1.mga6
+ Revision: 922247
- New version 15.3
- Ensure pioneers and pioneers-server-gtk are the same version

* Wed Oct 15 2014 umeabot <umeabot> 15.1-3.mga5
+ Revision: 745546
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 15.1-2.mga5
+ Revision: 687602
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 akien <akien> 15.1-1.mga5
+ Revision: 634285
- Version 15.1
- Binaries now go to %%_gamesbindir
- Drop unused patch
- Remove X-MandrivaLinux-MoreApplications-Games-Boards category from desktop files

* Fri Oct 18 2013 umeabot <umeabot> 14.1-3.mga4
+ Revision: 517487
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 14.1-2.mga3
+ Revision: 377749
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 22 2012 buchan <buchan> 14.1-1.mga3
+ Revision: 262555
- Minor fixes
- imported package pioneers

